# $Revision: 1.30 $, $Date: 2005/09/17 12:00:34 $
#
# Conditional build:
%bcond_without	svga	# without SVGAlib version
#
Summary:	Sinclair ZX Spectrum emulator
Summary(pl):	Emulator ZX Spectrum 48k
Name:		spectemu
Version:	0.99.3
Release:	3
License:	GPL
Group:		Applications/Emulators
Source0:	http://www.inf.bme.hu/~mszeredi/spectemu/%{name}-%{version}.tar.gz
# Source0-md5:	67330d27e3f5c9127413bd6f35aa664b
Source1:	%{name}-pl-man-pages.tar.gz
# Source1-md5:	ce7665f0dbc898773c6f798a63ee3ec2
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		%{name}-readline.patch
URL:		http://www.inf.bme.hu/~mszeredi/spectemu/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	readline-devel
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a 48k ZX-Spectrum emulator for Linux, with full
Z80 instruction set, comprehensive screen, sound and tape emulation,
and snapshot file saving and loading.

%description -l pl
Pakiet zawiera emulator ZX Spectrum 48k dla Linuksa z emulacj prawie
wszystkich instrukcji procesora Z80. spectemu dobrze emuluje
generowanie obrazu i dwiku, ma moliwo wczytywania i nagrywania
"snapshotw". Ta wersja potrafi wykorzysta joystick.

%package common
Summary:	Sinclair ZX Spectrum emulator - common part
Summary(pl):	Emulator ZX Spectrum 48k - cz wsplna
Group:		Applications/Emulators
Obsoletes:	spectemu

%description common
This package contains a 48k ZX-Spectrum emulator for Linux, with full
Z80 instruction set, comprehensive screen, sound and tape emulation,
and snapshot file saving and loading.

This package contains common files for x11 and svga versions.

%description common -l pl
Pakiet zawiera emulator ZX Spectrum 48k dla Linuksa z emulacj prawie
wszystkich instrukcji procesora Z80. spectemu dobrze emuluje
generowanie obrazu i dwiku, ma moliwo wczytywania i nagrywania
"snapshotw". Ta wersja potrafi wykorzysta joystick.

Ten pakiet zawiera pliki wsplne dla wersji x11 i svga.

%package svga
Summary:	Sinclair ZX Spectrum emulator - svgalib version
Summary(pl):	Emulator ZX Spectrum 48k - wersja svgalib
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}

%description svga
svgalib version of Sinclair ZX Spectrum emulator.

%description svga -l pl
Wersja svgalib emulatora Sinclair ZX Spectrum.

%package x11
Summary:	Sinclair ZX Spectrum emulator - X11 version
Summary(pl):	Emulator ZX Spectrum 48k - wersja X11
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}

%description x11
X11 version of Sinclair ZX Spectrum emulator.

%description x11 -l pl
Wersja X11 emulatora Sinclair ZX Spectrum.

%prep
%setup -q -a1
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure
%{__make}
%{__make} tapeout

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}{,/pl}/man1} \
	$RPM_BUILD_ROOT{%{_datadir}/spectemu,%{_pixmapsdir},%{_desktopdir}}

install tapeout $RPM_BUILD_ROOT%{_bindir}
install xspect $RPM_BUILD_ROOT%{_bindir}
install xspect.1 tapeout.1 $RPM_BUILD_ROOT%{_mandir}/man1
install xspect.man $RPM_BUILD_ROOT%{_mandir}/pl/man1/xspect.1
install tapeout.man $RPM_BUILD_ROOT%{_mandir}/pl/man1/tapeout.1
install example.cfg $RPM_BUILD_ROOT%{_datadir}/spectemu/spectemu.cfg
install spectkey.png $RPM_BUILD_ROOT%{_datadir}/spectemu/spectkey.png
install specsinc.xpm $RPM_BUILD_ROOT%{_datadir}/spectemu/specsinc.xpm

%if %{with svga}
install vgaspect $RPM_BUILD_ROOT%{_bindir}
echo ".so xspect.1" > $RPM_BUILD_ROOT%{_mandir}/man1/vgaspect.1
echo ".so xspect.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/vgaspect.1
%endif

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(644,root,root,755)
%doc README ChangeLog TODO example.cfg
%attr(755,root,root) %{_bindir}/tapeout
%{_datadir}/spectemu
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vgaspect
%endif

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xspect
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spectemu.spec,v $
Revision 1.30  2005/09/17 12:00:34  arekm
- new readline, 5.0

Revision 1.29  2004/07/04 22:09:54  havner
- applnk -> vfolders

Revision 1.28  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.27  2004/01/25 15:20:22  qboosh
- killed _xbindir creation

Revision 1.26  2004/01/18 00:38:12  qboosh
- md5

Revision 1.25  2004/01/18 00:17:25  qboosh
- updated to 0.99.3, updated readline patch
- added svga bcond, killed _xbindir

Revision 1.24  2003/05/28 13:02:00  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:26:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/10/08 13:17:34  qboosh
- BR: autoconf

Revision 1.21  2002/08/16 16:39:50  qboosh
- svgalib for x86, ppc and alpha, new %%doc

Revision 1.20  2002/05/21 23:14:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/22 06:21:23  kloczek
- release 8.

Revision 1.18  2002/04/20 15:25:01  marcus
- enabled svgalib support on ppc (with svgalib4ggi)

Revision 1.17  2002/04/13 08:42:45  kloczek
- release 7.

Revision 1.16  2002/04/13 08:04:42  qboosh
- in PLD svgalib is supported on x86 only

Revision 1.15  2002/04/12 18:47:46  marcus
- added sparc sparcv9 sparc64 to %%ifnarch (svgalib on sparc doesn't exist too)

Revision 1.14  2002/04/12 18:21:43  marcus
- on PPC arch svgalib does not exist
- rel.6.

Revision 1.13  2002/03/17 06:47:55  juandon
- added readline.patch
- added readline-devel to BR:
- Obsoletes: spectemu
- moved man-pages to common
- Release 5 STBR

Revision 1.12  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/11 23:33:52  qboosh
- release 4: separated x11 and svga versions

Revision 1.8  2001/11/24 17:44:45  juandon
- fixed desktop file, xspect needs terminal
- release 3

Revision 1.7  2001/11/21 01:52:34  kloczek
- release 2.

Revision 1.6  2001/11/20 13:15:53  juandon
- fixed permission for vgaspect

Revision 1.5  2001/11/18 23:26:20  kloczek
- missing "\" in %install.

Revision 1.4  2001/11/18 22:22:52  kloczek
- URL added.

Revision 1.3  2001/11/18 22:21:37  kloczek
- added desktop file and png Icon.

Revision 1.2  2001/11/18 21:13:04  kloczek
- fixed Group,
- added missing %lang(pl) for pl man pages,
- simplifications and some cosmetics.

Revision 1.1  2001/11/16 14:12:59  juandon
initial release
Polish man pages added
STBR
